Send a Single Push Notification

Send a Single Push Notification to a single recipient. This is a paid service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Extra Validations for request parameters

Only one should be filled from the below fields (however they can be all null at the same time):

  • android
  • apn
  • web

You cannot have mismatching deviceToken type and device-specific parameters (example: if type is ANDROID, you must not have json “web” or “apn”; you can have either “android” or null).

The maps of both, body.title and body.text, should contain an entry with forceLocale as their key.

RESPONSE PARAMETERS

KEYDESCRIPTION
trackingIdThe tracking id of the Push Notification.

ERROR CODES

Please note that the error codes section will be updated!

STATUSCODEDESCRIPTION
4000101Insufficient balance.
400-implementationId is empty: "implementationId must not be blank".
4040000implementationId is invalid or doesn't exist: "No implementation found".
4040001implementationId without credential: "Credential with type: FCM does not exist for given implementation".
400-ttl is less than 0: "apn.ttl: must be greater than or equal to 0".
400-ttl is more than 2419200: "android.ttl: must be less than or equal to 2419200"
400-ttl is invalid value: "android.ttl: invalid value".
400-deviceToken.token is empty or null: "deviceToken.token: must not be blank".
400-deviceToken.type is empty or null: "deviceToken.type: invalid value"
400-data.value is empty: "data[key1].: must not be blank".
400-data is empty: "data: invalid value".
400-callbackUrl is invalid: "callback.url: must be a valid URL".
400-body.title.key is empty or null: "body.title[en].: must not be blank".
Body Params
string
required

There should be an implementation with the particular id that belongs to the accountId. Not blank.

deviceToken
object

Device token. It is used to identify a specific device.

body
object

The notification's body which contains the following fields: title, text, forceLocale.

string

URL that should begin with https://

android
object

Device-specific parameters (Android).

apn
object

Device-specific parameters (iOS).

web
object

Device-specific parameters (web).

data
object

This parameter specifies the custom key-value pairs of the message's payload. For example, with data:{"score":"3x1"}: On Apple platforms, if the message is sent via APNs, it represents the custom data fields. If it is sent via FCM, it would be represented as key value dictionary in AppDelegate application:didReceiveRemoteNotification:. On Android, this would result in an intent extra named score with the string value 3x1. The key should not be a reserved word ("from", "message_type", or any word starting with "google" or "gcm"). Values should be string type.

string

URL that should begin with https://

Headers
string
required
Defaults to Bearer {access_token}

Bearer {access_token}

string
required
Defaults to application/json

application/json

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json